%define name	gnome-alsamixer
%define version	0.9.5
%define release	1mdk

Name: %name
Summary: An ALSA mixer for GNOME written for ALSA 0.9.x.
Version: %version
Release: %release
License: GPL
Group: Sound 
URL: http://www.paw.co.za/projects/gnome-alsamixer
Source: ftp://ftp.paw.co.za/pub/PAW/sources/%{name}-%{version}.tar.bz2
Source1: %name-16.png.bz2
Source2: %name-32.png.bz2
Source3: %name-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libalsa-devel >= 0.9.0
BuildRequires: desktop-file-utils 
BuildRequires: libgnomeui2-devel

%description
A sound mixer for GNOME2 which is written for the Advanced Linux Sound
Architecture (ALSA), which supports ALSA 0.9.x.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x

%make

%install
%makeinstall_std

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.png" section="Multimedia/Sound" \
title="Gnome-ALSA-Mixer" longtitle="A Gnome ALSA Mixer"
EOF

# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png


%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL 
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*
%{_menudir}/*
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- fix buildrequires
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- new version

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-6mdk
- rebuild for new ORBit2

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-5mdk
- macro fixes
- fix requires and buildrequires 

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-4mdk
- buildrequires

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-3mdk
- fix buildrequires

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- link with latest libopenssl

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added menu icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
